<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="configuration.xsl"?>
<!--
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License. See accompanying LICENSE file.
-->

<!-- Put site-specific property overrides in this file. -->

<configuration>
	<property>
		<name>fs.defaultFS</name>
		<value>hdfs://pino</value>
	</property>
	<property>
		<name>dfs.nameservices</name>
		<value>pino</value>
	</property>
	<property>
		<name>dfs.ha.namenodes.pino</name>
		<value>nn1,nn2</value>
	</property>
	<property>
		<name>dfs.namenode.rpc-address.pino.nn1</name>
		<value>172.20.186.28:8020</value>
	</property>
	<property>
		<name>dfs.namenode.rpc-address.pino.nn2</name>
		<value>172.20.186.31:8020</value>
	</property>
	<property>
		<name>dfs.namenode.http-address.pino.nn1</name>
		<value>172.20.186.28:50070</value>
	</property>
	<property>
		<name>dfs.namenode.http-address.pino.nn2</name>
		<value>172.20.186.31:50070</value>
	</property>
	<property>
		<name>dfs.namenode.num.extra.edits.retained</name>
		<value>2200</value>
	</property>
	<property>
		<name>dfs.namenode.shared.edits.dir</name>
		<value>qjournal://172.20.186.28:8485;172.20.186.31:8485;172.28.217.86:8485/pino</value>
	</property>
	<property>
		<name>dfs.client.failover.proxy.provider.pino</name>
		<value>org.apache.hadoop.hdfs.server.namenode.ha.ConfiguredFailoverProxyProvider</value>
	</property>
	<property>
		<name>dfs.ha.fencing.methods</name>
		<value>sshfence</value>
	</property>
	<property>
		<name>dfs.ha.fencing.ssh.private-key-files</name>
		<value>/home/admin/.ssh/id_rsa</value>
	</property>
	<property>
		<name>dfs.ha.automatic-failover.enabled</name>
		<value>true</value>
	</property>
<!--JournalNode进程保持逻辑状态的绝对路径-->
	<property>
		<name>dfs.replication</name>
		<value>3</value>
	</property>
    <property>
        <name>dfs.blocksize</name>
        <value>134217728</value>
    </property>
	<property>
		<name>dfs.datanode.du.reserved</name>
		<value>107374182400</value>
	</property>

    <property> 
        <name>dfs.permissions.enabled</name> 
        <value>true</value> 
    </property>
    <property>
        <name>dfs.permissions.supergroup</name>
        <value>supergroup</value>
    </property>
    <property>
        <name>fs.permissions.umask-mode</name>
        <value>077</value>
    </property>
	<property>
        <name>dfs.namenode.datanode.registration.ip-hostname-check</name>
	    <value>false</value>
	</property>
	<property>
        <name>heartbeat.recheck.interval</name>
	    <value>5000</value>
	</property>
	<property>
	    <name>dfs.heartbeat.interval</name>
		<value>3</value>
	</property>
    <property>
        <name>dfs.namenode.avoid.write.stale.datanode</name>
        <value>true</value>
    </property>
	<property>
		<name>dfs.balance.bandwidthPerSec</name>
		<value>10485760</value>
	</property>
	<property>
		<name>dfs.datanode.balance.max.concurrent.moves</name>
		<value>50</value>
	</property>
    <property>
        <name>dfs.balancer.dispatcherThreads</name>
        <value>50</value>
    </property>
	<property>
		<name>dfs.namenode.checkpoint.period</name>
		<value>7200</value>
	</property>
	<property>
	    <name>dfs.namenode.checkpoint.txns</name>
	    <value>1000000</value>
    </property>
    <property>
        <name>dfs.block.access.token.enable</name>
        <value>true</value>
    </property>
    <property>
        <name>dfs.datanode.data.dir.perm</name>
        <value>755</value>
    </property>
    <property>
        <name>dfs.namenode.keytab.file</name>
        <value>/opt/9n/hdfs.keytab</value>
    </property>
    <property>
        <name>dfs.namenode.kerberos.principal</name>
        <value>hdfs/_HOST@PINO.COM</value>
    </property>
    <property>
        <name>dfs.namenode.kerberos.https.principal</name>
        <value>HTTP/_HOST@PINO.COM</value>
    </property>
    <property>
        <name>dfs.datanode.address</name>
        <value>0.0.0.0:1004</value>
    </property>
    <property>
        <name>dfs.datanode.http.address</name>
        <value>0.0.0.0:1006</value>
    </property>
    <property>
        <name>dfs.datanode.keytab.file</name>
        <value>/opt/9n/hdfs.keytab</value>
    </property>
    <property>
        <name>dfs.datanode.kerberos.principal</name>
        <value>hdfs/_HOST@PINO.COM</value>
    </property>
    <property>
        <name>dfs.datanode.kerberos.https.principal</name>
        <value>HTTP/_HOST@PINO.COM</value>
    </property>
    <property>
        <name>dfs.journalnode.keytab.file</name>
        <value>/opt/9n/hdfs.keytab</value>
    </property>
    <property>
        <name>dfs.journalnode.kerberos.principal</name>
        <value>hdfs/_HOST@PINO.COM</value>
    </property>
    <property>
        <name>dfs.journalnode.kerberos.internal.spnego.principal</name>
        <value>HTTP/_HOST@PINO.COM</value>
    </property>
    <property>
        <name>dfs.webhdfs.enabled</name>
        <value>true</value>
    </property>
    <property>
        <name>dfs.web.authentication.kerberos.principal</name>
        <value>HTTP/_HOST@PINO.COM</value>
    </property>
    <property>
        <name>dfs.web.authentication.kerberos.keytab</name>
        <value>/opt/9n/hdfs.keytab</value>
    </property>
</configuration>
